<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PySpottedUnipd: pyspottedunipd.analysis.cli Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PySpottedUnipd
   &#160;<span id="projectnumber">0.0.2</span>
   </div>
   <div id="projectbrief">Figure out how you can find your sweet half or how to get attention and get liked in one of the most popular @Unipd facebook pages.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="namespaces.html"><span>Namespace&#160;List</span></a></li>
      <li><a href="namespacemembers.html"><span>Namespace&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('namespacepyspottedunipd_1_1analysis_1_1cli.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">pyspottedunipd.analysis.cli Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a4d3c6a16a27d83f1972b79d69fb61116"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a4d3c6a16a27d83f1972b79d69fb61116">create_args</a> ()</td></tr>
<tr class="separator:a4d3c6a16a27d83f1972b79d69fb61116"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9a45e3fed34af4e4180405a209a96c4"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#ac9a45e3fed34af4e4180405a209a96c4">parse_args</a> (parser)</td></tr>
<tr class="separator:ac9a45e3fed34af4e4180405a209a96c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a124970bb9272c2d9c04e916250ca6fce"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a124970bb9272c2d9c04e916250ca6fce">check_args</a> (path_in)</td></tr>
<tr class="separator:a124970bb9272c2d9c04e916250ca6fce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a489ab36cfff74eaaf3a2ad2ddd8ad5df"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a489ab36cfff74eaaf3a2ad2ddd8ad5df">add_time_msg_stats</a> (path_in)</td></tr>
<tr class="separator:a489ab36cfff74eaaf3a2ad2ddd8ad5df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a297fb3a63d84d6853726c55b8b9e73c8"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a297fb3a63d84d6853726c55b8b9e73c8">ml_analyze</a> (path_in)</td></tr>
<tr class="separator:a297fb3a63d84d6853726c55b8b9e73c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1001d2cee0121b5db5a0c22e7e179aa"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#ae1001d2cee0121b5db5a0c22e7e179aa">time_analyze</a> (path_in)</td></tr>
<tr class="separator:ae1001d2cee0121b5db5a0c22e7e179aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d09aae0497ae462e11c675e11c43b66"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1analysis_1_1cli.html#a8d09aae0497ae462e11c675e11c43b66">main</a> ()</td></tr>
<tr class="separator:a8d09aae0497ae462e11c675e11c43b66"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a489ab36cfff74eaaf3a2ad2ddd8ad5df"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.cli.add_time_msg_stats </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>path_in</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param path_in: str
    File to use as input
:return: void
    Extract time and message statistical features from data (in input file) and saves new data in in new file
</pre> 
<p>Definition at line <a class="el" href="analysis_2cli_8py_source.html#l00062">62</a> of file <a class="el" href="analysis_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
<a class="anchor" id="a124970bb9272c2d9c04e916250ca6fce"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.cli.check_args </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>path_in</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param path_in: str
    File to use as input
:return: bool
    True iff args are correct
</pre> 
<p>Definition at line <a class="el" href="analysis_2cli_8py_source.html#l00050">50</a> of file <a class="el" href="analysis_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
<a class="anchor" id="a4d3c6a16a27d83f1972b79d69fb61116"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.cli.create_args </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:return: ArgumentParser
    Parser that handles cmd arguments.
</pre> 
<p>Definition at line <a class="el" href="analysis_2cli_8py_source.html#l00026">26</a> of file <a class="el" href="analysis_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
<a class="anchor" id="a8d09aae0497ae462e11c675e11c43b66"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.cli.main </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="analysis_2cli_8py_source.html#l00111">111</a> of file <a class="el" href="analysis_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
<a class="anchor" id="a297fb3a63d84d6853726c55b8b9e73c8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.cli.ml_analyze </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>path_in</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param path_in: str
    File to use as input
:return: void
    Carries out sample machine learning analytics
</pre> 
<p>Definition at line <a class="el" href="analysis_2cli_8py_source.html#l00078">78</a> of file <a class="el" href="analysis_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
<a class="anchor" id="ac9a45e3fed34af4e4180405a209a96c4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.cli.parse_args </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parser</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param parser: ArgumentParser
    Object that holds cmd arguments.
:return: tuple
    Values of arguments.
</pre> 
<p>Definition at line <a class="el" href="analysis_2cli_8py_source.html#l00037">37</a> of file <a class="el" href="analysis_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
<a class="anchor" id="ae1001d2cee0121b5db5a0c22e7e179aa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.cli.time_analyze </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>path_in</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param path_in: str
    File to use as input
:return: void
    Carries out sample timing analytics
</pre> 
<p>Definition at line <a class="el" href="analysis_2cli_8py_source.html#l00098">98</a> of file <a class="el" href="analysis_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacepyspottedunipd.html">pyspottedunipd</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1analysis.html">analysis</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1analysis_1_1cli.html">cli</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
